
QGIS Application - Bug report #3761

"Cancel" button in Symbol properties dialogue has the same effect as "OK" button.

2011-04-20 04:46 AM - Alister Hood

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 13820

Description

    1. open the layer properties for a vector layer

    2. click the "Change" button on the left hand side of the window.  This opens the Symbol properties dialogue

    3. change something (e.g. click the + button to add a symbol layer)

    4. click "Cancel" 

    5. click the "Change" button again: you will see that the changes you made last time have been applied (e.g. the new symbol layer is

still there), even though you clicked "Cancel".

FWIW I'm running r15740

Related issues:

Duplicated by QGIS Application - Bug report # 10550: Don't apply style when d... Closed 2014-06-11

Duplicated by QGIS Application - Bug report # 7998: Loading of .qml style can... Closed 2013-06-04

Duplicated by QGIS Application - Bug report # 13185: Qgis Layer Properties Ca... Closed 2015-08-05

History

#1 - 2011-04-20 05:10 AM - Alister Hood

Sorry: the "Change" button I referred to is in the "style" tab, of course.

(and thanks for fixing my formatting Jef :) )

#2 - 2011-04-20 08:47 AM - John Tull

Also, please note this ticket.

https://trac.osgeo.org/qgis/ticket/3427

In effect, the ok button causes rendering to occur again, for instance, after already hitting the apply button in the style dialog. The cancel button does not

cause this re-rendering to occur, so it does have unintended functionality different from the ok button. At least that is true on my OS X system.

#3 - 2011-07-18 05:53 PM - Alister Hood

- Assignee deleted (nobody -)

"Cancel" button in Symbol properties dialogue has the effect as "OK" button

Obviously this description isn't quite right.  The effect is not the same, as when you click cancel the changes are not applied in the main layer properties
https://trac.osgeo.org/qgis/ticket/3427


layer.  The problem is just that when you reopen the symbol properties dialogue it remembers what you selected previously, instead of being reset to the

current layer properties.

#4 - 2011-07-18 07:45 PM - Alister Hood

Also see similar bug #4092 for the "Settings>Project Properties" dialogue

#5 - 2011-10-01 01:43 PM - Jürgen Fischer

- Pull Request or Patch supplied set to No

#6 - 2011-12-16 12:45 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#7 - 2012-04-16 06:27 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

#8 - 2012-09-04 12:00 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#9 - 2014-06-28 07:38 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#10 - 2015-08-21 12:03 PM - Anita Graser

- Resolution set to fixed/implemented

- Status changed from Open to Closed

With the redesign of the style dialog, I think this is not an issue anymore. Please reopen if necessary.
